ForwardMeasureProcess Class Reference
Stochastic processes

forward-measure stochastic process More...

`#include <ql/processes/forwardmeasureprocess.hpp>`

Inheritance diagram for ForwardMeasureProcess:
[legend]

## Public Member Functions

virtual void | setForwardMeasureTime (Time)
Time | getForwardMeasureTime () const
Public Member Functions inherited from StochasticProcess
virtual Size | size () const =0
| returns the number of dimensions of the stochastic process
virtual Size | factors () const
| returns the number of independent factors of the process
virtual Disposable< Array > | initialValues () const =0
| returns the initial values of the state variables
virtual Disposable< Array > | drift (Time t, const Array &x) const =0
| returns the drift part of the equation, i.e., \( \mu(t, \mathrm{x}_t) \)
virtual Disposable< Matrix > | diffusion (Time t, const Array &x) const =0
| returns the diffusion part of the equation, i.e. \( \sigma(t, \mathrm{x}_t) \)
virtual Disposable< Array > | expectation (Time t0, const Array &x0, Time dt) const
virtual Disposable< Matrix > | stdDeviation (Time t0, const Array &x0, Time dt) const
virtual Disposable< Matrix > | covariance (Time t0, const Array &x0, Time dt) const
virtual Disposable< Array > | evolve (Time t0, const Array &x0, Time dt, const Array &dw) const
virtual Disposable< Array > | apply (const Array &x0, const Array &dx) const
virtual Time | time (const Date &) const
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

| ForwardMeasureProcess (Time T)
| ForwardMeasureProcess (const boost::shared_ptr< discretization > &)
Protected Member Functions inherited from StochasticProcess
| StochasticProcess (const boost::shared_ptr< discretization > &)

## Protected Attributes

Time | T_
Protected Attributes inherited from StochasticProcess
boost::shared_ptr< discretization > | discretization_

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

forward-measure stochastic process

stochastic process whose dynamics are expressed in the forward measure.